categorical_table {KODAMA} | R Documentation

## Categorical Information

### Description

Summarization of the categorical information.

### Usage

    categorical_table (name,cat,label)

### Arguments

`name` | the name of the feature.
`cat` | the information to summarize.
`label` | the classification of the cohort.

### Value

The function returns a table with the summarized information. The p-value is computated using the Fisher's test.

### Author(s)

Stefano Cacciatore

### References

Cacciatore S, Luchinat C, Tenori L
Knowledge discovery by accuracy maximization.
Proc Natl Acad Sci U S A 2014;111(14):5117-22. doi: 10.1073/pnas.1220873111. Link
Cacciatore S, Tenori L, Luchinat C, Bennett PR, MacIntyre DA
KODAMA: an updated R package for knowledge discovery and data mining.
Bioinformatics 2017;33(4):621-623. doi: 10.1093/bioinformatics/btw705. Link

### See Also

`continuous_table`, `txtsummary`

### Examples

    data(clinical)

    A=categorical_table("Gender",clinical[,"Gender"],clinical[,"Hospital"])
    B=categorical_table("Gleason score",clinical[,"Gleason score"],clinical[,"Hospital"])
    C=categorical_table("Ethnicity",clinical[,"Ethnicity"],clinical[,"Hospital"])

    D=continuous_table("BMI",clinical[,"BMI"],clinical[,"Hospital"],digits=2)
    E=continuous_table("Age",clinical[,"Age"],clinical[,"Hospital"],digits=1)

    rbind(A,B,C,D,E)

[Package KODAMA version 1.5 Index]